1. item
demand.erp API
  • bom
    • create bom
      POST
    • get bom
      GET
    • update bom
      PUT
    • delete bom
      DELETE
    • delete bom position
      DELETE
  • item
    • create item
      POST
    • get item
      GET
    • update item
      PUT
    • delete item
      DELETE
  • workplan
    • create workplan
      POST
    • get workplan
      GET
    • update workplan
      PUT
    • delete workplan
      DELETE
  • customer
    • create customer (4.8.0)
      POST
    • get customer (4.8.0)
      GET
    • update customer (4.8.0)
      PUT
    • delete customer (4.8.0)
      DELETE
  • Schemas
    • Schemas
    • Response
      • Success
      • BadRequest
    • getBom
    • postBom
    • putBom
    • getItem
    • postItem
    • putItem
    • getWorkplan
    • postWorkplan
    • putWorkplan
    • getCustomer
    • postCustomer
    • putCustomer
    • Success
    • Error
  1. item

get item

GET
/item/{itemid}/{variant}
Last modified:2026-07-31 08:54:44
By passing in the appropriate options, you can search for an item

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/item//' \
--header 'Authorization: Bearer <token>'

Responses

🟱200OK
application/json
Returns the item that matches the provided item
Bodyapplication/json

Example
{
    "identification": {
        "unit": {
            "unit": "CM",
            "description": "Centimeter",
            "base_unit": "M",
            "volume": 1.234
        },
        "cost_center": {
            "cost_center": 1,
            "machine_group": 0,
            "description": "Allgemein"
        },
        "product_group": {
            "product_group": 100,
            "description": "Wellpappen",
            "toplevel_product_group": 1
        },
        "price_unit": {
            "price_unit": 1,
            "description": "pro Einheit",
            "factor": 1
        },
        "itemid": "800000",
        "description1": "FEFCO 0201 300x300x300",
        "description2": "",
        "material_number": "",
        "material_description": "",
        "accounting_clerk": "001",
        "character_key": "1",
        "replacement_for": "",
        "superseded_by": "",
        "status": 0,
        "status_text": "",
        "sales_tax": 1,
        "ean": "0",
        "drawing_number": "",
        "pseudo": "N",
        "drawing_index": 0,
        "item_specification": "A",
        "locked_until": "2025-01-01T00:00:00.000Z",
        "locked_by": "",
        "condition": 0
    },
    "purchase": {
        "reference_key": {
            "reference_key": 1,
            "description": "EIGENFERTIGUNG"
        },
        "default_storage_location": {
            "default_storage_location": 1,
            "description": "Allgemein"
        },
        "sales_unit": "ST",
        "conversion_factor": 0,
        "minimum_stock": 1,
        "maximum_stock": 0,
        "managed_batch": 0,
        "regular_supplier": 1,
        "price_group": 0,
        "minimum_order_quantity": 100,
        "abc_mark": "A",
        "managed_stock": "Y",
        "best_before_date": "N",
        "current_warehouse_stock": 1,
        "last_delivery": 20241231
    },
    "misc": {
        "length": 54,
        "height": 15,
        "width": 20,
        "strength": 2,
        "weight": 0
    }
}
🟠401Unauthorized
🟠403Forbidden
🟠404NotFound
Modified at 2026-07-31 08:54:44
Previous
create item
Next
update item
Built with